dmyblas2.c File Reference

Level 2 Blas operations. More...

## Functions

void | dlsolve (int ldm, int ncol, double *M, double *rhs)
| Solves a dense UNIT lower triangular system. More...
void | dusolve (int ldm, int ncol, double *M, double *rhs)
| Solves a dense upper triangular system. More...
void | dmatvec (int ldm, int nrow, int ncol, double *M, double *vec, double *Mxvec)
| Performs a dense matrix-vector multiply: Mxvec = Mxvec + M * vec. More...

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 2.0) --
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    November 15, 1997

    Purpose:
        Level 2 BLAS operations: solves and matvec, written in C.
    Note:
        This is only used when the system lacks an efficient BLAS library.

## Function Documentation

## dlsolve()

void dlsolve | ( | int | ldm,
|  | int | ncol,
|  | double * | M,
|  | double * | rhs
| ) |  |

The unit lower triangular matrix is stored in a 2D array M(1:nrow,1:ncol). The solution will be returned in the rhs vector.

## dmatvec()

void dmatvec | ( | int | ldm,
|  | int | nrow,
|  | int | ncol,
|  | double * | M,
|  | double * | vec,
|  | double * | Mxvec
| ) |  |

The input matrix is M(1:nrow,1:ncol); The product is returned in Mxvec[].

## dusolve()

void dusolve | ( | int | ldm,
|  | int | ncol,
|  | double * | M,
|  | double * | rhs
| ) |  |

The upper triangular matrix is stored in a 2-dim array M(1:ldm,1:ncol). The solution will be returned in the rhs vector.